<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.4 (2009/07/07)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Admin Upload / Delete files - GuppY PHP Script - version 4.5    
 * CeCILL Copyright (C) 2004-2006 by Laurent Duveau
 * Made by Laurent Duveau, Nicolas Alves, Albert Aymard,
 * Jean-Michel Misrachi, Isabelle Marchina and Team
 * Web site = http://www.freeguppy.org/
 * E-mail   = info@aldweb.com
 * version 4.5.x
 *
 * Ajout par ZebulonT (http://www.cyclotronp.net/) => Limitation de la taille des fichiers en upload
 */

if (stristr($_SERVER["SCRIPT_NAME"], "upload.inc")) {
  header("location:../index.php");
  die();
}
//VERIFICATION DE L'AUTORISATION DU REDACTEUR
if(!isset($redacprefs['rfile']) || $redacprefs['rfile'] != 'up') 	die($redac138);

define("CHEMIN", "../../");
$lng = strip_tags($_GET['lng']);
$pg = isset($_POST['pg']) ? $_POST['pg'] : (isset($_GET['pg']) ? strip_tags($_GET['pg']) : NULL);
$uptype = isset($_POST['uptype']) ? $_POST['uptype'] : (isset($_GET['uptype']) ? $_GET['uptype'] : 'Link');
if ($uptype != 'Link' && $uptype != 'Image' && $uptype != 'Flash' && $uptype != 'Media') die('Erreur dans la valeur de la variable uptype.Veuillez contacter le webmaster du site.');
$pathDirMinieditor = 'plugins/adm_redacteurs/editors/';    //chemin relatif du rpertoire du miniditeur ( ne pas modifier pour ne pas perdre la compatibilit avec les autres plugins)

//INITIALISATION DES VARIABLES DE CONFIGURATION POUR UPLOAD (A NE SURTOUT PAS MODIFIER !!)
$pathRepUpload = 'plugins/adm_redacteurs/editors/';
$allowedUpload = false;
$allowedCreateRep = false;
$allowedRenameRepFile = false;
$allowedDeleteRepFile = false;
$allowedExtFileUpload = array();
$deniedExtFileUpload = array();
$limitFileSizeUpload = true;
$maxFileSizeUpload = 2 * 1024 * 1024;
$accessRepUpload = array('img','photo','file','pages','flash');
$accessRepUploadImage = array('img','photo');
$accessRepUploadLink = array('file','img','photo','pages','flash');
$accessRepUploadFlash = array('flash','img');
$accessRepUploadMedia = array('flash','img');
$allowedExtImage = array('.jpg','.gif','.png','.bmp','jpeg');
$deniedExtLink = array();
$allowedExtFlash = array('.swf','.fla','.flv');
$allowedExtMedia = array('.avi','.mp3');
$colorTextTitre = $titre[0];
$colorFondTitre = $titre[1];
$styleBordureTitre = '1px solid '.$bordure[0];
$colorTextCorp = $texte[0];
$colorFondCorp = $texte[2];
$styleBordureCorp = '1px solid '.$bordure[0];
$colorBodyUpload = $texte[1];
$colorFondFileUpload = $texte[2];
$colorFondFileUploadOver = $forum[2];
$colorFileUploadOff = $lien[0];
$colorFileUploadOn = $lien[1];

//RECUPERATION DE LA CONFIGURATION DES VARIABLES DE L'UPLOAD SI ELLE EXISTE
if(file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/config_upload.inc')) {
	include(CHEMIN.$pathDirMinieditor.'minieditortextarea/config_upload.inc');  //CONFIGURATION UPLOAD MINIEDITEUR
}
// RECUPERATION DES FICHIER DE LANGUE
if(file_exists(CHEMIN.$pathRepUpload.'upload/lang/'.$lng.'_upload.inc')) {
	include(CHEMIN.$pathRepUpload.'upload/lang/'.$lng.'_upload.inc');
} else {
	include(CHEMIN.$pathRepUpload.'upload/lang/en_upload.inc'); // FICHIER PAR DEFAUT
}
//FONCTIONS UTILISEES DANS LE SCRIPT
include(CHEMIN.$pathRepUpload.'upload/functions_upload.inc');

//CONTROLE DES REPERTOIRES ECRITS DANS LES VARIABLES $accessRepUpload $accessRepUploadImage $accessRepUploadLink et $accessRepUploadFlash
$accessRepUpload = controlNameRepUpload($accessRepUpload);
$accessRepUploadImage = controlAccessRepUpload($accessRepUploadImage,$accessRepUpload,'Image');
$accessRepUploadLink = controlAccessRepUpload($accessRepUploadLink,$accessRepUpload,'Link');
$accessRepUploadFlash = controlAccessRepUpload($accessRepUploadFlash,$accessRepUpload,'Flash');
$accessRepUploadMedia = controlAccessRepUpload($accessRepUploadMedia,$accessRepUpload,'Media');

//RECUPERATION ET AFFICHAGE DU REPERTOIRE PAR DEFAUT
switch($uptype) {
	case 'Image':
		$repdefault = $accessRepUploadImage[0];
	break;
	case 'Link':
		$repdefault = $accessRepUploadLink[0];
	break;
	case 'Flash':
		$repdefault = $accessRepUploadFlash[0];
	break;
	case 'Media':
		$repdefault = $accessRepUploadMedia[0];
	break;
	default :
		$repdefault = 'img';
}
if (isset($redacprefs['rwritcatfile']) && $redacprefs['rwritcatfile'] != "On" && isset($redacprefs['rnamecatfile']) && $redacprefs['rnamecatfile'] != "") {
	for ($i=0; $i<count($accessRepUpload); $i++) {
		CreateDirectory($accessRepUpload[$i].'/'.$redacprefs['rnamecatfile']);
	}
	$rep = isset($_POST['rep']) ? $_POST['rep'] : (isset($_GET['rep']) ? $_GET['rep'] : $repdefault.'/'.$redacprefs['rnamecatfile']);
} else {
	for ($i=0; $i<count($accessRepUpload); $i++) {
		CreateDirectory($accessRepUpload[$i]);
	}
	$rep = isset($_POST['rep']) ? $_POST['rep'] : (isset($_GET['rep']) ? $_GET['rep'] : $repdefault);
}
$rep = strip_tags($rep);
if (isset($redacprefs['rmodfile']) && $redacprefs['rmodfile'] == "On") {
		$creatrep = isset($_POST['creatrep']) ? strip_tags($_POST['creatrep']) : NULL;
}
//CREATION D'UN SOUS-REPERTOIRE
if($allowedCreateRep == true) {  //AUTORISATION CONFIG
	if (isset($redacprefs['rmodfile']) && $redacprefs['rmodfile'] == "On") {  //AUTORISATION REDACTEUR
		if (isset($creatrep) && trim($creatrep) != "") {
			$creatrep = cleanName($creatrep);
    		if ($creatrep == "0" ) {$creatrep = "0_";}
	
			if(is_dir(CHEMIN.$rep.'/'.$creatrep)){
	    		$pagerror = 1;
				$erreur = $lang_upload[1];		
    		} else {
				createNewRep($rep.'/'.$creatrep);		
	  		}
		}
	}
}
/*
//RENOMMER UN FICHIER OU UN REPERTOIRE			
if($allowedRenameRepFile == true) { //AUTORISATION CONFIG
	if (isset($redacprefs['ractfile']) && $redacprefs['ractfile'] == "On") {   //AUTORISATION REDACTEUR
		if (isset($fnewname) && trim($fnewname) != "") {
			$fnewname = cleanName($fnewname);
	
			$fext = strrchr($foldname, '.');
			if(is_file(CHEMIN.$rep.'/'.$foldname)) {	    
	    		if (file_exists(CHEMIN.$rep.'/'.$fnewname.$fext)){
	  	   			$pagerror = 1; 
		   			$erreur = $lang_upload[2];
	    		} else {	      
              		@rename(CHEMIN.$rep.'/'.$foldname , CHEMIN.$rep.'/'.$fnewname.$fext);
			  		@chmod(CHEMIN.$rep.'/'.$fnewname.$fext,0644);
	      		}
			} else if(is_dir(CHEMIN.$rep.'/'.$foldname)) {
	    		if ($fnewname == "0" ){$fnewname = "0_";}	    
	    		if (is_dir(CHEMIN.$rep.'/'.$fnewname)){
	  	   			$pagerror = 1; 
		   			$erreur = $lang_upload[3];
	    		} else {	                
	          		@rename(CHEMIN.$rep.'/'.$foldname , CHEMIN.$rep.'/'.$fnewname);
			  		@chmod(CHEMIN.$rep.'/'.$fnewname,0755);
	       		}	
      		}
		}
	}
}
//SUPPRIMER UN FICHIER OU UN REPERTOIRE
if($allowedDeleteRepFile == true) { //AUTORISATION CONFIG
	if (isset($redacprefs['rdelfile']) && $redacprefs['rdelfile'] == "On") {   //AUTORISATION REDACTEUR
		if (isset($del) && trim($del) != "") {
  			if(is_file(CHEMIN.$rep."/".$del)) {
      			@unlink(CHEMIN.$rep."/".$del);
  			}
  			if(is_dir(CHEMIN.$rep."/".$del)) {
      			DelSubRep(CHEMIN.$rep."/".$del."/");
	  			if(rmdir(CHEMIN.$rep."/".$del) == false) {
	  	 			$pagerror = 1;
		 			$erreur = $lang_upload[4]; 
	  			}
  			}      	  
		}
	}
} */

/**
 * UPLOAD DES FICHIERS
 */
if($allowedUpload == true) { //AUTORISATION CONFIG
	if (isset($redacprefs['rwritfile']) && $redacprefs['rwritfile'] == "On") {   //AUTORISATION REDACTEUR
		if (isset($_FILES['ficup']['name']) && trim($_FILES['ficup']['name']) != "" && $upvalid == "ok") {
    		$pagerror = 0;
			$_FILES['ficup']['name'] = strip_tags($_FILES['ficup']['name']);
			$_FILES['ficup']['name'] = cleanName($_FILES['ficup']['name'],true);

			// Controle de la validit du nom du fichier
			if ( !preg_match("`^([-a-z0-9_]+)(\.)([a-z0-9]{2,4})$`i", $_FILES['ficup']['name']) ) {
	     		$pagerror = 1;
		 		$erreur = $lang_upload[5]; 
			}
			//
			
			// Controle si le nom du fichier existe dj ou non
			if (file_exists(CHEMIN.$rep.'/'.$_FILES['ficup']['name'])) {
	     		$pagerror = 1; 
		 		$erreur = $lang_upload[6];
			}
			//
		
			// Controle de la taille des fichiers
			if ($limitFileSizeUpload == true) {
				if ( is_file($_FILES['ficup']['tmp_name']) && filesize($_FILES['ficup']['tmp_name']) > $maxFileSizeUpload) {
					$pagerror = 1;
					$erreur = $lang_upload[40].round($maxFileSizeUpload / 1024).' Ko !'; // On rcupre et complte le message d'erreur en cas de dpassement de la taille maximale
				}
			}
			//

			// Controle de l'autorisation de l'extension du fichier
			if( ( count($allowedExtFileUpload) > 0 && !in_array( strrchr($_FILES['ficup']['name'], '.'), $allowedExtFileUpload) )
				|| ( count($deniedExtFileUpload) > 0 && in_array( strrchr($_FILES['ficup']['name'], '.'), $deniedExtFileUpload) ) ) {
	     		$pagerror = 1; 
		 		$erreur = $lang_upload[21];	
			}
			//

			// Upload et indexation
			if ($pagerror != 1) {		
    			if (move_uploaded_file($_FILES['ficup']['tmp_name'], CHEMIN.$rep.'/'.$_FILES['ficup']['name'])) {
	   				@chmod(CHEMIN.$rep.'/'.$_FILES['ficup']['name'], 0644);
    			}
			}
			//			
		}
	}
}
//

/**
 * CREATION DE L'INDEX DES FICHIERS
 */
$dbdir = array();
$dbfiles = array();
$i = 0;
$dossier = opendir(CHEMIN.$rep);
while (false !== ( $fichier = readdir($dossier) ) ) {
    if (is_dir(CHEMIN.$rep.'/'.$fichier) && $fichier != '.' && $fichier != '..') {
    	$dbdir[$i][0] = $fichier;
      	$dbdir[$i][1] = $pathRepUpload.'upload/img/directory.gif';
      	$dbdir[$i][2] = 'dir';
	} elseif (is_file(CHEMIN.$rep.'/'.$fichier) && $fichier != 'index.php') {
      $dbfiles[$i][0] = $fichier;
	  $path_parts = str_replace('.', '', strrchr($fichier,'.'));
	  if ( file_exists(CHEMIN.$pathRepUpload.'upload/img/'.$path_parts.'.gif') ) {
      	  $dbfiles[$i][1] = $pathRepUpload.'upload/img/'.$path_parts.'.gif';
	  } else {
      	  $dbfiles[$i][1] = $pathRepUpload.'upload/img/default.gif';	  
	  }
	  $filesize = filesize(CHEMIN.$rep.'/'.$fichier);
	  $dbfiles[$i][2] = number_format($filesize,0,',',' ');
  	}
	$i++;
}
closedir($dossier);
if (count($dbdir) > 0) sort($dbdir);
if (count($dbfiles) > 0) sort($dbfiles);
$dbfiles = array_merge($dbdir,$dbfiles);
//

//PAGE HTML
include(CHEMIN."inc/hpage.inc");
//INSERTION STYLE CSS
echo '<style type="text/css">';
include(CHEMIN.'plugins/adm_redacteurs/inc/style_upload.inc');
echo '</style>';
//INSERTION FONCTIONS JAVASCRIPT
?>
<script type="text/javascript">
//AFFICHAGE FICHIER IMAGE DANS POPUP
function popupImgUp(chemin) {
    var hauteurScreen= window.screen.height;
    var largeurScreen= window.screen.width;		
	
    FenImg = window.open("","","directories=0, menubar=0, status=0, resizable=1, scrollbars=0,location=0");
	FenImg.document.open();	
	
	var html = '<html><head><title><?php echo $lang_upload[22]; ?><\/title>'
		html = html+'<script type="text\/javascript">';
		html = html+'function ajustsize()  {';
		html = html+'var hauteurImg = document.images[0].height; var largeurImg = document.images[0].width; var top = ('+hauteurScreen+'- hauteurImg)/2; var left = ('+largeurScreen+'- largeurImg)/2; ';
		html = html+' if (document.images[0].complete) {  window.resizeTo(largeurImg+40,hauteurImg+70); window.moveTo(left,top); window.focus();} else { setTimeout("ajustsize();",500) } }<\/script>';
        html = html+'<\/head><body onload="ajustsize();"><div style="text-align:center; vertical-align:middle;"><img src="'+chemin+'" alt="" onclick="window.close();" /><\/div><\/body><\/html>';

	FenImg.document.write(html);
	FenImg.document.close();
	}	
//AFFICHAGE FICHIER AUTRE QUE IMAGE DANS POPUP
function popupFileUp(chemin) {
    var hauteur = 500;
    var largeur = 700;
    var top=(screen.height-hauteur)/2;
    var left=(screen.width-largeur)/2;
    window.open(chemin, '', 'top='+top+', left='+left+', width='+largeur+', height='+hauteur+', resizable=yes,menubar=no,location=no,directories=no,status=no,copyhistory=no,toolbar=no,scrollbars=yes');
}
<?php
/*
//RENOMMER UN FICHIER OU UN REPERTOIRE
if($allowedRenameRepFile == true) { //AUTORISATION CONFIG
	if (isset($redacprefs['ractfile']) && $redacprefs['ractfile'] == "On") { //AUTORISATION REDACTEUR
?>
function renameFile(rep,file,type) {
    if (type == 'file') {
	    message = '<?php echo $lang_upload[27]; ?> "'+file+'".\n';
		message2 = "<?php echo $lang_upload[28]; ?>";
	}
    if (type == 'dir') {
	    message = '<?php echo $lang_upload[29]; ?> "'+file+'".\n';
		message2 = '<?php echo $lang_upload[30]; ?>';
	}
	message = message + '<?php echo $lang_upload[31]; ?>';

    x = window.prompt(message,message2);
	//control de la variable
	erreur = false;
	if(x.search(/^[-a-z0-9_]+$/gi) == -1) erreur = true;
	if (x != null && erreur == false) {
	   window.location = "upload.php?lng=<?php echo $lng; ?>&uptype=<?php echo $uptype; ?>&namerepconfig=<?php echo $accessRepUploadConfig; ?>&pathconfig=<?php echo $pathRepUploadConfig; ?>&rep="+rep+"&foldname="+file+"&fnewname="+x;
	} else {
		  alert('<?php echo $lang_upload[31]; ?>');
	      return false;
	 }
}
<?php
	}
}
//SUPPRIMER UN FICHIER OU UN REPERTOIRE	
if($allowedDeleteRepFile == true) { //AUTORISATION
	if (isset($redacprefs['rdelfile']) && $redacprefs['rdelfile'] == "On") {   //AUTORISATION REDACTEUR
?>
function confirmDelFile(rep,file,type)
{
    if (type == 'file') message = '<?php echo $lang_upload[23]; ?> " '+file+' ".\n';
    if (type == 'dir') message = '<?php echo $lang_upload[24]; ?> " '+file+' " <?php echo $lang_upload[25]; ?>\n';
	message = message + " <?php echo $lang_upload[26]; ?>";

    x = window.confirm(message);
	if (x == true) {
	   window.location = "upload.php?lng=<?php echo $lng; ?>&uptype=<?php echo $uptype; ?>&namerepconfig=<?php echo $nameRepUploadConfig; ?>&pathconfig=<?php echo $pathRepUploadConfig; ?>&rep="+rep+"&del="+file;
	} else {
	      return false;
	}
}
<?php
	}
}
*/
?>
//RETOUR AU REPERTOIRE PARENT
function RepParent(directory) {
	  dir = directory.split("/");
	  dir.length--;
      directory = dir.join("/");
	  x = document.forms["changedir"].elements["rep"].selectedIndex;
	  document.forms["changedir"].elements["rep"].options[x].value = directory;
	  document.forms["changedir"].submit();
}
//RECUPERATION DE L'URL
<?php
/*
if(file_exists(CHEMIN.$pathRepUploadConfig.$nameRepUploadConfig.'/jscript_upload.inc')) {
	include(CHEMIN.$pathRepUploadConfig.$nameRepUploadConfig.'/jscript_upload.inc');
} else {
	echo 'function openURL(url,type,alt,width,height) {window.close();}'."\n";
}
*/
?>
//AFFICHER/MASQUER AIDE
function OpenCloseHelp() {
   if (document.getElementById('helpClose') == null) {
    document.getElementById('help').style.display = 'block';
	document.getElementById('helpOpen').value = "<?php echo $lang_upload[12]; ?>";	
	document.getElementById('helpOpen').id = 'helpClose';	
	} else {
    document.getElementById('help').style.display = 'none';
	document.getElementById('helpClose').value = "<?php echo $lang_upload[11]; ?>";	
	document.getElementById('helpClose').id = 'helpOpen';	
	}
}
//AFFICHER ELEMENT SURVOLE
function MouseOverFile(y,x,z) {
    if (y == 'yes') {
        document.getElementById(x).id = z;
	} else {
        document.getElementById(z).id = x;
	}
}
//VERIFICATION AVANT SOUMISSION POUR UPLOAD
function UploadValid(h,champ) {
	erreur = false;
	msg_erreur = '';
	if(h.elements[champ].value == "") {
	 	erreur = true;
	 	msg_erreur += "<?php echo $lang_upload[20]; ?>\n";
	}
	if(champ == 'ficup') {
		if(h.elements[champ].value.search(/(\\|\/)?([-a-z0-9_]+)(\.)([a-z0-9]{2,4})$/gi) == -1) {
	 		erreur = true;
	 		msg_erreur += "<?php echo addslashes($lang_upload[5]); ?>";
		}
	} else {
		if(h.elements[champ].value.search(/^[-a-z0-9_]+$/gi) == -1) {
	 		erreur = true;
	 		msg_erreur += "<?php echo $lang_upload[31]; ?>";
		}	
	}
    if (erreur == false) {
	   return true;
	} else {
	   alert(msg_erreur);
	   return false;
	}
}
-->
</script>
<?php
htable($admin180, "100%");
switch ($pagerror) {
    case "1" :
        echo '<form name="pbupload" action="admin.php?lng='.$lng.'" method="post" style="margin:0px;">';
		echo '<input type="hidden" name="pg" value="upload" />';
		echo '<input type="hidden" name="rep" value="'.$rep.'" />';
		echo '<input type="hidden" name="uptype" value="'.$uptype.'" />';
		//echo '<input type="hidden" name="pathconfig" value="'.$pathRepUploadConfig.'" />';
		//echo '<input type="hidden" name="namerepconfig" value="'.$nameRepUploadConfig.'" />';
		echo '<div style="text-align:center; font-weight:bold; margin-top:15px;">'.$erreur.'</div>';
	    echo '<div style="text-align:center; margin-top:15px; margin-bottom:15px;"><input type="submit" class="bouton" id="retour" name="retour" value="'.$lang_upload[33].'" /></div>';    
        echo '</form>';
        break;
    default :
		if ($allowedRenameRepFile !== TRUE || (isset($redacprefs['ractfile']) && $redacprefs['ractfile'] != "On") ) { unset($lang_upload[7][3]); }
		if ($allowedDeleteRepFile !== TRUE || (isset($redacprefs['rdelfile']) && $redacprefs['rdelfile'] != "On") ) { unset($lang_upload[7][4]); }
?>
        <div id="help" class="help">
		<?php
			echo str_replace(" src='img/", " src='".CHEMIN.$pathDirMinieditor."upload/img/", implode( '<br />', $lang_upload[7]));
		?>
        </div>
		<hr />
		<p align="center"><a href="admin.php?lng=<?php echo $lng; ?>"><?php echo $admin22; ?></a> || <strong><a href="admin.php?lng=<?php echo $lng; ?>&amp;logout=1"><?php echo $admin19; ?></a></strong></p>
		<hr style="margin-bottom:20px;" />
        <form name="changedir" action="admin.php?lng=<?php echo $lng ?>" method="post">
		<input type="hidden" name="pg" value="upload" />
		<input type="hidden" name="uptype" value="<?php echo $uptype; ?>" />
<!--		<input type="hidden" name="pathconfig" value="<?php echo $pathRepUploadConfig; ?>" />
		<input type="hidden" name="namerepconfig" value="<?php echo $nameRepUploadConfig; ?>" />
-->
        <div class="upload">
		<img src="<?php echo CHEMIN.$pathRepUpload; ?>upload/img/directory.gif" width="16" height="16" alt="<?php echo $lang_upload[14]; ?>" title="<?php echo $lang_upload[14]; ?>" /><?php echo $lang_upload[14]; ?>&nbsp;: 
	    <select name="rep" id="rep" onchange="document.changedir.submit();">
<?php
		switch($uptype) {
			case 'Image' :
				foreach($accessRepUploadImage as $nameRepUploadImage) {
					$repselected = ($rep == $nameRepUploadImage)? ' selected="selected"' : '';
					echo '<option value="'.$nameRepUploadImage.'"'.$repselected.'>'.$nameRepUploadImage.'</option>';
				}
			break;
			case 'Link' :
				foreach($accessRepUploadLink as $nameRepUploadLink) {
					$repselected = ($rep == $nameRepUploadLink)? ' selected="selected"' : '';
					echo '<option value="'.$nameRepUploadLink.'"'.$repselected.'>'.$nameRepUploadLink.'</option>';
				}
			break;
			case 'Flash' :
				foreach($accessRepUploadFlash as $nameRepUploadFlash) {
					$repselected = ($rep == $nameRepUploadFlash)? ' selected="selected"' : '';
					echo '<option value="'.$nameRepUploadFlash.'"'.$repselected.'>'.$nameRepUploadFlash.'</option>';
				}
			break;
			case 'Media':
				foreach($accessRepUploadMedia as $nameRepUploadMedia) {
					$repselected = ($rep == $nameRepUploadMedia)? ' selected="selected"' : '';
					echo '<option value="'.$nameRepUploadMedia.'"'.$repselected.'>'.$nameRepUploadMedia.'</option>';
				}
			break;
			default :
				die("Erreur 202");
		}          
		if (!in_array($rep,$accessRepUpload)) echo  '<option value="" selected="selected">'.$rep.'</option>';
?>			
        </select>
<!--		<input id="helpOpen" class="bouton" style="vertical-align:middle;" type="button" value="<?php echo $lang_upload[11]; ?>" onclick="OpenCloseHelp()" />	-->    
		</div>
<?php
		echo '<table id="tableupload" class="forum" cellpadding="0" cellspacing="0" width="90%" border="0" align="center">';
		echo '<tr class="forum">';
        echo '<td id="forumName" nowrap="nowrap">'.$lang_upload[15].'</td><td id="forumSize" nowrap="nowrap" width="12%">'.$lang_upload[16].'</td><td id="forumAction" nowrap="nowrap" width="12%">'.$lang_upload[17].'</td>';
		echo '</tr>';
        if (!in_array($rep,$accessRepUpload)) {
			echo '<tr class="quest" id="trdir" onmouseover="MouseOverFile(\'yes\',\'trdir\',\'trsurvol\');" onmouseout="MouseOverFile(\'no\',\'trdir\',\'trsurvol\');" >';
			echo '<td class="fileName"><img src="'.CHEMIN.$pathRepUpload.'upload/img/parent_directory.gif" width="16" height="16" border="0" alt="'.$lang_upload[34].'" title="'.$lang_upload[34].'" class="imgName" /><strong>..</strong></td>';
			echo '<td class="fileSize">dir</td>';
			echo '<td class="fileAction"><img id="on" src="'.CHEMIN.$pathRepUpload.'upload/img/explorer.gif" border="0" width="16" height="16" alt="'.$lang_upload[32].'" title="'.$lang_upload[32].'" class="imgAction2" onclick="RepParent(\''.$rep.'\');" onmouseover="MouseOverFile(\'yes\',\'on\',\'imgsurvol\');" onmouseout="MouseOverFile(\'no\',\'on\',\'imgsurvol\');" /></td>';
            echo '</tr>';
        }
        for ($i = 0; $i < count($dbfiles); $i++) {
			$n = ($i/2);
		    if (is_integer($n)) {
				echo '<tr class="rep" id="tr'.$i.'" onmouseover="MouseOverFile(\'yes\',\'tr'.$i.'\',\'trsurvol\');" onmouseout="MouseOverFile(\'no\',\'tr'.$i.'\',\'trsurvol\');">';
			}else {
			    echo '<tr class="quest" id="tr'.$i.'" onmouseover="MouseOverFile(\'yes\',\'tr'.$i.'\',\'trsurvol\');" onmouseout="MouseOverFile(\'no\',\'tr'.$i.'\',\'trsurvol\');">';
			}
            if ($dbfiles[$i][2] == 'dir') {
				echo '<td class="fileName"><img src="'.CHEMIN.$dbfiles[$i][1].'" width="16" height="16" alt="'.$lang_upload[14].'" title="'.$lang_upload[14].'" border="0" class="imgName" />'.$dbfiles[$i][0].'</td>';		
				echo '<td class="fileSize">'.$dbfiles[$i][2].'</td>';
				echo '<td class="fileAction">';
				echo '<a href="admin.php?lng='.$lng.'&amp;rep='.$rep.'/'.$dbfiles[$i][0].'&amp;uptype='.$uptype.'&amp;pg=upload"><img id="on'.$i.'" src="'.CHEMIN.$pathRepUpload.'upload/img/explorer.gif" border="0" width="16" height="16" alt="'.$lang_upload[32].'" title="'.$lang_upload[32].'" class="imgAction" onmouseover="MouseOverFile(\'yes\',\'on'.$i.'\',\'imgsurvol\');" onmouseout="MouseOverFile(\'no\',\'on'.$i.'\',\'imgsurvol\');" /></a>';
				/*
				if($allowedRenameRepFile == true) { //AUTORISATION RENOMMER
					if (isset($redacprefs['ractfile']) && $redacprefs['ractfile'] == "On") {  //AUTORISATION REDACTEUR
						echo '<img id="nom'.$i.'" src="'.CHEMIN.$pathRepUpload.'upload/img/edit.gif" border="0" width="16" height="16" alt="'.$lang_upload[36].'" title="'.$lang_upload[36].'" class="imgAction2"  onclick=\'renameFile("'.$rep.'","'.$dbfiles[$i][0].'","dir");\' onmouseover="MouseOverFile(\'yes\',\'nom'.$i.'\',\'imgsurvol\');" onmouseout="MouseOverFile(\'no\',\'nom'.$i.'\',\'imgsurvol\');" />';											
					}
				} //FIN AUTORISATION
				if($allowedDeleteRepFile == true) { //AUTORISATION SUPPRESSION
					if (isset($redacprefs['rdelfile']) && $redacprefs['rdelfile'] == "On") {  //AUTORISATION REDACTEUR
						echo '<img id="sup'.$i.'" src="'.CHEMIN.$pathRepUpload.'upload/img/sup.gif" border="0" width="16" height="16" alt="'.$lang_upload[37].'" title="'.$lang_upload[37].'" class="imgAction"  onclick=\'confirmDelFile("'.$rep.'","'.$dbfiles[$i][0].'","dir");\' onmouseover="MouseOverFile(\'yes\',\'sup'.$i.'\',\'imgsurvol\');" onmouseout="MouseOverFile(\'no\',\'sup'.$i.'\',\'imgsurvol\');" />';
					}
				} //FIN AUTORISATION
				*/
				echo '</td>';
			} else {
				$ext = strrchr($dbfiles[$i][0],'.');
				echo '<td class="fileName"><img src="'.CHEMIN.$dbfiles[$i][1].'" width="16" height="16" alt="'.$rep.'/'.$dbfiles[$i][0].'" title="'.$rep.'/'.$dbfiles[$i][0].'" border="0" class="imgName" />';
 				switch ($uptype) {
	/*				case 'Image' :
					    if (count($allowedExtImage) > 0 && in_array($ext,$allowedExtImage)) {
						    $image_size = getimagesize(CHEMIN.$rep.'/'.$dbfiles[$i][0]);
					        echo '<a name="file'.$i.'" href="#file'.$i.'" onclick=\'openURL("'.$site[3].$rep.'/'.$dbfiles[$i][0].'","img","'.$dbfiles[$i][0].'","'.$image_size[0].'","'.$image_size[1].'");\' >'.$dbfiles[$i][0].'</a>';						
						} else {
							echo $dbfiles[$i][0];
						}
					break;
					case 'Link' :
						if(count($deniedExtLink) > 0 && in_array($ext,$deniedExtLink)) {
							echo $dbfiles[$i][0];
						} else {
					    	echo '<a name="file'.$i.'" href="#file'.$i.'" onclick=\'openURL("'.$site[3].$rep.'/'.$dbfiles[$i][0].'","file","'.$dbfiles[$i][0].'","","");\' >'.$dbfiles[$i][0].'</a>';
						}
					break;
					case 'Flash' :
					    if (count($allowedExtFlash) > 0 && in_array($ext,$allowedExtFlash)) {
					        echo '<a name="file'.$i.'" href="#file'.$i.'" onclick=\'openURL("'.$site[3].$rep.'/'.$dbfiles[$i][0].'","flash","'.$dbfiles[$i][0].'","","");\' >'.$dbfiles[$i][0].'</a>';
						} else {
							echo $dbfiles[$i][0];
						}
					break;
					case 'Media' :
					    if (count($allowedExtMedia) > 0 && in_array($ext,$allowedExtMedia)) {
					        echo '<a name="file'.$i.'" href="#file'.$i.'" onclick=\'openURL("'.$site[3].$rep.'/'.$dbfiles[$i][0].'","media","'.$dbfiles[$i][0].'","","");\' >'.$dbfiles[$i][0].'</a>';
						} else {
							echo $dbfiles[$i][0];
						}
					break; */
					default :
				        echo $dbfiles[$i][0];						    
				}				
				echo '</td>';		
		        echo '<td class="fileSize">'.$dbfiles[$i][2].'</td>';
				if (in_array($ext,$allowedExtImage)) {
                	echo '<td class="fileAction"><img id="on'.$i.'" src="'.CHEMIN.$pathRepUpload.'upload/img/look.gif" width="16" height="16" border="0" alt="'.$lang_upload[35].'" title="'.$lang_upload[35].'" class="imgAction" onclick=\'popupImgUp("'.CHEMIN.$rep.'/'.$dbfiles[$i][0].'");\' onmouseover="MouseOverFile(\'yes\',\'on'.$i.'\',\'imgsurvol\');" onmouseout="MouseOverFile(\'no\',\'on'.$i.'\',\'imgsurvol\');" />';
				} else{
                    echo '<td class="fileAction"><img id="on'.$i.'" src="'.CHEMIN.$pathRepUpload.'upload/img/look.gif" width="16" height="16" border="0" alt="'.$lang_upload[35].'" title="'.$lang_upload[35].'" class="imgAction" onclick=\'popupFileUp("'.CHEMIN.$rep.'/'.$dbfiles[$i][0].'");\' onmouseover="MouseOverFile(\'yes\',\'on'.$i.'\',\'imgsurvol\');" onmouseout="MouseOverFile(\'no\',\'on'.$i.'\',\'imgsurvol\');" />';
				}
				/*
				if($allowedRenameRepFile == true) { //AUTORISATION RENOMMER
					if (isset($redacprefs['ractfile']) && $redacprefs['ractfile'] == "On") {  //AUTORISATION REDACTEUR
						echo '<img id="nom'.$i.'" src="'.CHEMIN.$pathRepUpload.'upload/img/edit.gif" border="0" width="16" height="16" alt="'.$lang_upload[36].'" title="'.$lang_upload[36].'" class="imgAction2"  onclick=\'renameFile("'.$rep.'","'.$dbfiles[$i][0].'","file");\' onmouseover="MouseOverFile(\'yes\',\'nom'.$i.'\',\'imgsurvol\');" onmouseout="MouseOverFile(\'no\',\'nom'.$i.'\',\'imgsurvol\');" />';											
					}
				}  //FIN AUTORISATION
				if($allowedDeleteRepFile == true) { //AUTORISATION SUPPRESSION
					if (isset($redacprefs['rdelfile']) && $redacprefs['rdelfile'] == "On") {  //AUTORISATION REDACTEUR
						echo '<img id="sup'.$i.'" src="'.CHEMIN.$pathRepUpload.'upload/img/sup.gif" border="0" width="16" height="16" alt="'.$lang_upload[37].'" title="'.$lang_upload[37].'" class="imgAction"  onclick=\'confirmDelFile("'.$rep.'","'.$dbfiles[$i][0].'","file");\' onmouseover="MouseOverFile(\'yes\',\'sup'.$i.'\',\'imgsurvol\');" onmouseout="MouseOverFile(\'no\',\'sup'.$i.'\',\'imgsurvol\');" />';
					}
				} //FIN AUTORISATION
				*/
				echo '</td>';
			}			
            echo '</tr>';
        }
        echo '</table>';
?>		
        </form>
<?php
		//UPLOAD DES FICHIERS
		if($allowedUpload == true) {  //AUTORISATION	
			if ((isset($redacprefs['rwritfile']) && $redacprefs['rwritfile'] == "On" && $redacprefs['rwritcatfile'] == "On") || (isset($redacprefs['rwritfile']) && $redacprefs['rwritfile'] == "On" && $redacprefs['rwritcatfile'] != "On" && preg_match('`^('.implode($accessRepUpload,'|').')/'.$redacprefs['rnamecatfile'].'`', $rep))) {   //AUTORISATION REDACTEUR
        		echo '<form name="uploadit" enctype="multipart/form-data" action="admin.php?lng='.$lng.'" method="post" onsubmit="return UploadValid(this,\'ficup\');" >';
				echo '<input type="hidden" name="pg" value="upload" />';
        		echo '<input type="hidden" name="rep" value="'.$rep.'" />';
				echo '<input type="hidden" name="upvalid" value="ok" />';
				echo '<input type="hidden" name="uptype" value="'.$uptype.'" />';
				//echo '<input type="hidden" name="pathconfig" value="'.$pathRepUploadConfig.'" />';
				//echo '<input type="hidden" name="namerepconfig" value="'.$nameRepUploadConfig.'" />';
        		echo '<div class="labelupload"><img src="'.CHEMIN.$pathRepUpload.'upload/img/upload.gif" width="16" height="16" border="0" alt="'.$lang_upload[13].'" title="'.$lang_upload[13].'" />'.$lang_upload[13].'</div>';
				if ($limitFileSizeUpload == true){	//Si la limitation de l'upload est active...
					echo '<div class="labelupload">'.$lang_upload[39].($maxFileSizeUpload / 1024).' Ko !</div>'; //On affiche un avertissement  propos de la taille maximale autorise pour les fichiers en upload !
				}
        		echo '<div class="upload"><input type="file" name="ficup" size="27" /><input class="bouton" type="submit" value="'.$lang_upload[18].'" /></div>';
        		echo '</form>';
			}
		}		
		//CREATION D'UN SOUS-REPERTOIRE	
		if($allowedCreateRep == true) {  //AUTORISATION
			if ((isset($redacprefs['rmodfile']) && $redacprefs['rmodfile'] == "On"  && $redacprefs['rwritcatfile'] == "On") || (isset($redacprefs['rmodfile']) && $redacprefs['rmodfile'] == "On" && $redacprefs['rwritcatfile'] != "On" && preg_match('`^('.implode($accessRepUpload,'|').')/'.$redacprefs['rnamecatfile'].'`',$rep))) {   //AUTORISATION REDACTEUR
				echo '<form name="createdit"  action="admin.php?lng='.$lng.'" method="post" onsubmit="return UploadValid(this,\'creatrep\');">';
				echo '<input type="hidden" name="pg" value="upload" />';
        		echo '<input type="hidden" name="rep" value="'.$rep.'" />';
        		echo '<input type="hidden" name="uptype" value="'.$uptype.'" />';
				//echo '<input type="hidden" name="pathconfig" value="'.$pathRepUploadConfig.'" />';
        		//echo '<input type="hidden" name="namerepconfig" value="'.$nameRepUploadConfig.'" />';
        		echo '<div class="labelupload"><img src="'.CHEMIN.$pathRepUpload.'upload/img/directory.gif" width="16" height="16" border="0" alt="'.$lang_upload[8].'" title="'.$lang_upload[8].'" />'.$lang_upload[8].'</div>';
        		echo '<div class="upload">'.$lang_upload[9].'&nbsp;:&nbsp;<input type="text" name="creatrep" size="30" value="" /><input class="bouton" type="submit" value="'.$lang_upload[10].'" /></div>';
        		echo '</form>';
			}
		}
}		
?>
<hr style="margin-top:20px;" />
<p align="center"><a href="admin.php?lng=<?php echo $lng; ?>"><?php echo $admin22; ?></a> || <strong><a href="admin.php?lng=<?php echo $lng; ?>&amp;logout=1"><?php echo $admin19; ?></a></strong></p>
<?php	
btable();
include(CHEMIN."inc/bpage.inc");
?>
