<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.6 (2010/04/05)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Plugin Diaporama - Gestion des images    
 * Jean-Michel MISRACHI
 * Web site = http://jmmis.free.fr/
 * e-mail   = jmmis@free.fr
 * version 4.6.11
 * 
 * Fichier modifi par ZebulonT : http://www.cyclotronp.net/
 * pour l'intgration de la Version 4.6.11 du plugin Diaporama de Jean-Mi
 * dans le plugin Adm_redacteurs de djchouix (2008/12/20)
 *
 */
if (stristr($_SERVER["SCRIPT_NAME"], "gereimg.inc")) {
  header("location:../index.php");
  die();
}

define("CHEMIN", "../../");
$lng  = strip_tags($lng);
$pg   = strip_tags($pg);
$plug = strip_tags($plug);
if (!isset($act)) $act = "0";
$act  = strip_tags($act);
$gere_diapo_id = strip_tags($diapo_id);

include(CHEMIN."plugins/diaporama/lang/".$lng."-adm.inc");
include_once(CHEMIN."plugins/jmm/functions.php");
include_once(CHEMIN."plugins/diaporama/inc/data_func.inc");

$topmess = $diapo_adm632;
include(CHEMIN."inc/hpage.inc");
htable($topmess, "100%");

$force[0] = isset($force[0]) ? $force[0] : -1;
$force[1] = isset($force[1]) ? $force[1] : 0;
if ($force[0] == 1) $force[1] = -1;

DP_ExportParam(DP_ReadParam($gere_diapo_id));

$dp_tab[0] = array();
if ($dp_hdir = @opendir(CHEMIN.$dp_dir_img)) {
  while($dp_file = readdir($dp_hdir)) {
    if (preg_match("!(jpg|jpeg|gif|png|bmp)$!i", $dp_file)) {
      $dp_tab[0][$dp_file] = $dp_file;
      $dp_info = getimagesize(CHEMIN.$dp_dir_img."/".$dp_file);
      $dp_tab[1][$dp_file] = $dp_info[0]."x".$dp_info[1];  
			$dp_tab[2][$dp_file] = "---";    
    }
  }
  closedir($dp_hdir);
}
if ($dp_hdir = @opendir(CHEMIN.$dp_dir_vig)) {
  while($dp_file = readdir($dp_hdir)) {
    if (preg_match("!(jpg|jpeg|gif|png|bmp)$!i", $dp_file)) {
      $dp_tab[0][$dp_file] = $dp_file;
			if (!isset($dp_tab[1][$dp_file])) $dp_tab[1][$dp_file] = "---";    
      $dp_info = getimagesize(CHEMIN.$dp_dir_vig."/".$dp_file);
      $dp_tab[2][$dp_file] = $dp_info[0]."x".$dp_info[1];  
    }
  }
  closedir($dp_hdir);
}
if (count($dp_tab[0]) > 0)	array_multisort($dp_tab[0], $dp_tab[1], $dp_tab[2]);

switch ($act) {
	case "1" :
		$i = 1;
		$change = false;
        DP_ExportComment(DP_ReadComment($gere_diapo_id));
		foreach($dp_tab[0] as $dp_file) {
			// Suppressions
			if (${"s_".$i} == "on") {
                unset($dp_com1[$dp_file], $dp_com2[$dp_file]);
				@chmod(CHEMIN.$dp_dir_img."/".$dp_file, 0666);
				@unlink(CHEMIN.$dp_dir_img."/".$dp_file);
				@chmod(CHEMIN.$dp_dir_vig."/".$dp_file, 0666);
				@unlink(CHEMIN.$dp_dir_vig."/".$dp_file);
				$change = true;
			}
			// Creation vignettes
			if (${"c_".$i} == "on") {
				if (is_file(CHEMIN.$dp_dir_img.'/'.$dp_file)) {
					list($larg_img, $haut_img, $type_img) = getimagesize(CHEMIN.$dp_dir_img.'/'.$dp_file);
		      if ($larg_img > $haut_img) {
		        $larg_vig = $dp_larg_vig;
		        $haut_vig = ceil($haut_img*$dp_larg_vig/$larg_img);
						if ($haut_vig > $dp_haut_vig) {
							$larg_vig = ceil($larg_vig*$dp_haut_vig/$haut_vig);
							$haut_vig = $dp_haut_vig;
						}
		      } else {
		        $haut_vig = $dp_haut_vig;        
		        $larg_vig = ceil($larg_img*$dp_haut_vig/$haut_img);
		        if ($larg_vig > $dp_larg_vig) {
		        	$haut_vig = ceil($haut_vig*$dp_larg_vig/$larg_vig);
		        	$larg_vig = $dp_larg_vig;
		        }
		      }
					switch($type_img) {
						case 2 : // JPG
							$himg = ImageCreateFromJpeg(CHEMIN.$dp_dir_img.'/'.$dp_file);
        			$hvig = @ImageCreateTrueColor($larg_vig, $haut_vig);
        			@ImageCopyResampled($hvig, $himg, 0, 0, 0, 0, $larg_vig, $haut_vig, $larg_img, $haut_img);
        			@ImageJpeg($hvig, CHEMIN.$dp_dir_vig.'/'.$dp_file);
         			@chmod(CHEMIN.$dp_dir_vig.'/'.$dp_file, 0666);
							$change = true;
							break;
						case 3 : // PNG
        			$himg = ImageCreateFromPng(CHEMIN.$dp_dir_img.'/'.$fic);
        			$hvig = @ImageCreateTrueColor($larg_vig, $haut_vig);
        			@ImageCopyResampled($hvig, $himg, 0, 0, 0, 0, $larg_vig, $haut_vig, $larg_img, $haut_img);
        			@ImagePng($hvig, CHEMIN.$dp_dir_vig.'/'.$fic);
         			@chmod(CHEMIN.$dp_dir_vig.'/'.$dp_file, 0666);
							$change = true;
							break;
					}
					if (isset($himg)) @imagedestroy($himg);
					if (isset($hvig)) @imagedestroy($hvig);
					unset($himg, $hvig);
				}	
			}
			$i++;
		}
		if ($change) {
            DP_WriteComment($gere_diapo_id, DP_ImportComment($gere_diapo_id));
			$dp_tab[0] = array();
			$dp_tab[1] = array();
			$dp_tab[2] = array();
			if ($dp_hdir = @opendir(CHEMIN.$dp_dir_img)) {
			  while($dp_file = readdir($dp_hdir)) {
			    if (preg_match("!(jpg|jpeg|gif|png|bmp)$!i", $dp_file)) {
			      $dp_tab[0][$dp_file] = $dp_file;
			      $dp_info = getimagesize(CHEMIN.$dp_dir_img."/".$dp_file);
			      $dp_tab[1][$dp_file] = $dp_info[0]."x".$dp_info[1];  
						$dp_tab[2][$dp_file] = "---";    
			    }
			  }
			  closedir($dp_hdir);
			}
			if ($dp_hdir = @opendir(CHEMIN.$dp_dir_vig)) {
			  while($dp_file = readdir($dp_hdir)) {
			    if (preg_match("!(jpg|jpeg|gif|png|bmp)$!i", $dp_file)) {
			      $dp_tab[0][$dp_file] = $dp_file;
						if (!isset($dp_tab[1][$dp_file])) $dp_tab[1][$dp_file] = "---";    
			      $dp_info = getimagesize(CHEMIN.$dp_dir_vig."/".$dp_file);
			      $dp_tab[2][$dp_file] = $dp_info[0]."x".$dp_info[1];  
			    }
			  }
			  closedir($dp_hdir);
			}
			if (count($dp_tab[0]) > 0)	array_multisort($dp_tab[0], $dp_tab[1], $dp_tab[2]);
		}
		break;
}

echo "<p align=\"center\">".$diapo_adm633."</p><hr />";
LiensBackLogout($diapo_adm32, "diaporama/inc/admin");
echo "<hr />";
echo '
<fieldset style="margin:0px 10%"><legend>'.$diapo_adm606.'</legend>
<div align="left">'.$diapo_adm609.'<b>'.$dp_larg_vig.'</b> x <b>'.$dp_haut_vig.'</b></div>
</fieldset><hr />';
if (count($dp_tab[0]) > 0) {
	FormBegin("diapo_gereimg", "diaporama/inc/gereimg");
	FormHidden("act", 1);
	FormHidden("force[0]", $force[0]);
	FormHidden("force[1]", $force[1]);
	FormHidden("diapo_id", $gere_diapo_id);
	
	if ($dp_dir_vig != $dp_dir_img) {
		$diapo_headers = array($diapo_adm10, $diapo_adm634, $diapo_adm635, $diapo_adm636, "", $diapo_adm13, "");
        if (function_exists("gd_info")) {
  		    $diapo_actions = array(
  			    array("a"=>$diapo_adm637),
  			    array("a"=>$diapo_adm638));
  	    } else {
		    $diapo_actions = array(
			    array("a"=>$diapo_adm637));
  	    } 
	} else {
		$diapo_headers = array($diapo_adm10, $diapo_adm634, $diapo_adm635, "", "", $diapo_adm13, "");
		$diapo_actions = array(
			array("a"=>$diapo_adm637));
	}
	$i = 1;
	$diapo_items = array();
	$nchecks = $nneeded = 0;
	foreach($dp_tab[0] as $dp_file) {
        $checks[0] = $force[0] == 1;
		if ($dp_dir_vig != $dp_dir_img) {
            if ($dp_tab[2][$dp_file] == "---") {
                $needed = true;
            } else {
                list($dp_larg_vig2, $dp_haut_vig2) = explode('x', $dp_tab[2][$dp_file]);
                $needed = $dp_larg_vig2 != $dp_larg_vig && $dp_haut_vig2 != $dp_haut_vig;
//echo sprintf('%sx%s ? %s = %s<br>', $dp_larg_vig2, $dp_haut_vig2, $dp_tab[2][$dp_file], $needed ? 'true' : 'false');
            }
            $checks[1] = $force[1] != -1 && ( $force[1] == 1 || $needed );
            $nchecks += $checks[1] ? 1 : 0;
            $nneeded += $needed ? 1 : 0;
			$diapo_items[] = array( $i, "a", $dp_tab[0][$dp_file], $dp_tab[0][$dp_file],
				($dp_tab[1][$dp_file] == "---"?"---":"<a href=\"".CHEMIN.$dp_dir_img."/".$dp_file."\" target=\"_blank\">".$dp_tab[1][$dp_file]."</a>"), 
				($dp_tab[1][$dp_file] == "---"?"---":"<a href=\"".CHEMIN.$dp_dir_img."/".$dp_file."\" target=\"_blank\">".$dp_tab[1][$dp_file]."</a>"), 
				($dp_tab[2][$dp_file] == "---"?"---":"<a href=\"".CHEMIN.$dp_dir_vig."/".$dp_file."\" target=\"_blank\">".$dp_tab[2][$dp_file]."</a>"), 
				($dp_tab[2][$dp_file] == "---"?"---":"<a href=\"".CHEMIN.$dp_dir_vig."/".$dp_file."\" target=\"_blank\">".$dp_tab[2][$dp_file]."</a>"), 
				"", "", $checks);
		} else {
            $nchecks += $checks[1] ? 1 : 0;
            $diapo_items[] = array( $i + 1, "a", $dp_tab[0][$dp_file], $dp_tab[0][$dp_file],
				($dp_tab[1][$dp_file] == "---"?"---":"<a href=\"".CHEMIN.$dp_dir_img."/".$dp_file."\" target=\"_blank\">".$dp_tab[1][$dp_file]."</a>"), 
				($dp_tab[1][$dp_file] == "---"?"---":"<a href=\"".CHEMIN.$dp_dir_img."/".$dp_file."\" target=\"_blank\">".$dp_tab[1][$dp_file]."</a>"), 
				"", "", "", "", $checks);
		}
		$i++;
	}
	FormTableItems($diapo_items, $diapo_headers, $diapo_actions, "", false, "", "<a>");
	FormEnd($diapo_adm18);
	$url ='admin.php?lng=fr&amp;pg=plugin&amp;plug=diaporama/inc/gereimg&amp;diapo_id='.$diapo_id;
	echo '
<p align="center">';

    if ($force[0] == 1)
        echo '
    <a href="'.$url.'&amp;force[0]=-1" title="'.$diapo_adm731.'">'.$diapo_adm736.'<img src="'.CHEMIN.'plugins/jmm/img/sup1.gif" title="'.$diapo_adm731.'" alt="'.$diapo_adm731.'" /> </a>';
    else
        echo '
    <a href="'.$url.'&amp;force[0]=1" title="'.$diapo_adm732.'">'.$diapo_adm736.'<img src="'.CHEMIN.'plugins/jmm/img/sup2.gif" title="'.$diapo_adm732.'" alt="'.$diapo_adm732.'" /> </a>';

    if ($force[1] != -1 && $nchecks > 0)
        echo '
    || <a href="'.$url.'&amp;force[1]=-1" title="'.$diapo_adm733.'">'.$diapo_adm736.'<img src="'.CHEMIN.'plugins/jmm/img/image1.gif" title="'.$diapo_adm733.'" alt="'.$diapo_adm733.'" /> </a>';
    
    if ($force[1] != 0 && $nneeded > 0)
        echo '
    || <a href="'.$url.'&amp;force[1]=0" title="'.$diapo_adm734.'">'.$diapo_adm737.'<img src="'.CHEMIN.'plugins/jmm/img/image2.gif" title="'.$diapo_adm734.'" alt="'.$diapo_adm734.'" />'.$diapo_adm738.'</a>';
    if ($force[1] != 1)
        echo '
    || <a href="'.$url.'&amp;force[1]=1" title="'.$diapo_adm735.'">'.$diapo_adm736.'<img src="'.CHEMIN.'plugins/jmm/img/image2.gif" title="'.$diapo_adm735.'" alt="'.$diapo_adm735.'" /> </a>';
    
    echo '
</p>';	
} else {
	echo "<p align=center><b>".$diapo_adm639."</b></p>";
}


echo "<hr />";
LiensBackLogout($diapo_adm32, "diaporama/inc/admin");
echo "<hr />";
VersionAuteurPlugin($diapo_version, $diapo_auteur1, 2.3);
include_once(CHEMIN."admin/plugins/diaporama/inc/gd2info.inc");
btable();
include(CHEMIN."inc/bpage.inc");
?>